Bug 218878 - graphics/qgis: Update to 2.18.7
Summary: graphics/qgis: Update to 2.18.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-25 16:06 UTC by Rainer Hurling
Modified: 2017-04-30 13:13 UTC (History)
3 users (show)

See Also:
rhurlin: maintainer-feedback+


Attachments
patch to update graphics/qgis from 2.18.5 to 2.18.7 (34.43 KB, patch)
2017-04-25 16:06 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2017-04-25 16:06:45 UTC
Created attachment 182081 [details]
patch to update graphics/qgis from 2.18.5 to 2.18.7

This minor update from QGIS 2.18.5 to 2.18.7 comes with some new features and many bugfixes. Especially, many problems with SAGA GIS processing seem to be solved.


Changes of the port:
- Update to 2.18.7
- Remove CMAKE_ARGS, which do not exist
- Add new python dependencies cycler, dateutil, and functools32
- Getting rid of special handlings for 9.x
- Move USES=compiler:features into main section
- Update pkg-plist


The patch was tested on Poudriere (10.3i/a, 11.0i/a  and, HEADi/a, with options all enabled, all disabled and default).

portlint -AC seems happy.
Comment 1 Raphael Kubo da Costa freebsd_committer 2017-04-30 10:50:01 UTC
Hi,

I tried building the patch on Poudriere (12-CURRENT) and it failed in `make patch':
===>  Applying FreeBSD patches for qgis-2.18.7
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to python/core/core.sip.rej
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to src/gui/qgsfiledownloader.h.rej
=> FreeBSD patch patch-gentoogit_d9559d0_qgis-2.18.3-sip-4.19.1 failed to apply cleanly.
=> Patch(es)  patch-debian_qgis.desktop applied cleanly.
Comment 2 Rainer Hurling 2017-04-30 11:20:36 UTC
(In reply to Raphael Kubo da Costa from comment #1)
Hi Raphael,

Patching with patch-gentoogit_d9559d0_qgis-2.18.3-sip-4.19.1 also fails for me. 

The file was added this morning by tcberner@. It seems to come from Gentoo with QGIS 2.18.3? Perhaps he can explain more about it (CC'ed).
Comment 3 Tobias C. Berner freebsd_committer 2017-04-30 11:29:28 UTC
Hi there

The nmme of the patch should give it away :) -- it was needed for the py-sip update to 4.19.*. 
Possibly this is issue is fixed now and can be dropped, or needs to be modified to work with the current qgis release.



fmg Tobias
Comment 4 Tobias C. Berner freebsd_committer 2017-04-30 11:31:27 UTC
It's possible, that the patch was also not needed anymore at all after adding files/patch-hg_6b09a6d578e8 to devel/py-sip.
Comment 5 Raphael Kubo da Costa freebsd_committer 2017-04-30 11:47:45 UTC
I was able to build the new qgis here after removing the gentoogit patch. Rainer, would you like to try running it after the recent sip update or is that enough for me to land this?
Comment 6 Rainer Hurling 2017-04-30 12:46:31 UTC
@Tobias
I think, because QGIS 2.18.7 has adopted your patch already, it should be included also in 2.18.4 (the version in ports now). I splitted your patch into two patch files for version 2.18.4:


cat files/patch-python_core_core.sip 
--- python/core/core.sip.orig	2017-02-24 12:00:06 UTC
+++ python/core/core.sip
@@ -3,6 +3,7 @@
 
 %Feature QT5_SUPPORT
 
+%Import QtCore/QtCoremod.sip
 %Import QtXml/QtXmlmod.sip
 %Import QtNetwork/QtNetworkmod.sip
 %Import QtSql/QtSqlmod.sip



cat files/patch-src_gui_qgsfiledownloader.h 
--- src/gui/qgsfiledownloader.h.orig	2017-02-24 12:00:06 UTC
+++ src/gui/qgsfiledownloader.h
@@ -90,8 +90,10 @@ class GUI_EXPORT QgsFileDownloader : public QObject
     void onSslErrors( QNetworkReply *reply, const QList<QSslError> &errors );
 #endif
 
-  private:
+  protected:
     ~QgsFileDownloader();
+
+  private:
     /**
      * Abort current request and show an error if the instance has GUI
      * notifications enabled.



@Raphael
Because the patch in question is already included in version 2.18.7 (thanks to the QGIS devs), this should be ready commit.
Comment 7 commit-hook freebsd_committer 2017-04-30 13:12:16 UTC
A commit references this bug:

Author: rakuco
Date: Sun Apr 30 13:11:34 UTC 2017
New revision: 439815
URL: https://svnweb.freebsd.org/changeset/ports/439815

Log:
  Update to 2.18.7.

  This minor update from QGIS 2.18.5 to 2.18.7 comes with some new features and
  many bugfixes. Especially, many problems with SAGA GIS processing seem to be
  solved.

  Port changes:
  - Update to 2.18.7.
  - Remove CMAKE_ARGS which do not exist.
  - Add new python dependencies cycler, dateutil, and functools32.
  - Getting rid of special handlings for 9.x.
  - Move USES=compiler:features into main section.
  - Update pkg-plist.

  PR:		218878
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de> (maintainer)

Changes:
  head/graphics/qgis/Makefile
  head/graphics/qgis/distinfo
  head/graphics/qgis/files/patch-gentoogit_d9559d0_qgis-2.18.3-sip-4.19.1
  head/graphics/qgis/pkg-plist
Comment 8 Raphael Kubo da Costa freebsd_committer 2017-04-30 13:13:14 UTC
Committed, thanks!